(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     20865,        600]*)
(*NotebookOutlinePosition[     21508,        622]*)
(*  CellTagsIndexPosition[     21464,        618]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["\<\
autor: Ladislav Musil

Lit:
[1]Young W. Kwon, Hyochoong Bang: The Finite Element Method using Matlab, \
1997\
\>", "Text"],

Cell[CellGroupData[{

Cell["\<\
Metody zalo\:017een\[EAcute] na metod\:011b v\[AAcute]hov\[YAcute]ch residu\
\[IAcute] (Methods of Weighted Residual)
\
\>", "Section",
  FontSize->16],

Cell["\<\
Z\[AAcute]kladn\[IAcute] my\[SHacek]lenky budou uk\[AAcute]z\[AAcute]ny na n\
\[AAcute]sleduj\[IAcute]c\[IAcute] \[UAcute]loze\
\>", "Text"],

Cell["Zad\[AAcute]n\[IAcute] \[UAcute]lohy", "Text"],

Cell[BoxData[
    \(\(rov = \[PartialD]\_\(x, x\)T[x] \[Equal] 
          3*0.2*\((\ T[x] - 20)\);\)\)], "Input"],

Cell[BoxData[
    \(okr1 = T[0] \[Equal] 0; okr1 = T[1] \[Equal] 0;\)], "Input"],

Cell["\<\
Te\:010f si navrhneme tvar \:0159e\[SHacek]en\[IAcute], tedy omez\[IAcute]me \
mno\:017einu v\[SHacek]ech funkc\[IAcute], mezi kter\[YAcute]mi \
hled\[AAcute]me \:0159e\[SHacek]en\[IAcute] na mno\:017einu popsatelnou jedn\
\[IAcute]m tvarem s n\:011bkolika parametry a spl\:0148uj\[IAcute]c\[IAcute] \
okrajov\[EAcute] podm\[IAcute]nky. \
\>", "Text"],

Cell["\<\
Tvar jenom s jedn\[IAcute]m parametrem:\
\>", "Text"],

Cell[BoxData[
    \(\(Tapr = a\ x\ \((1 - x)\);\)\)], "Input"],

Cell[BoxData[
    \(Plot[Evaluate[Table[Tapr, {a, 0, 10}]], {x, 0, 1}]\)], "Input"],

Cell["Dosad\[IAcute]me tento tvar do rovnice", "Text"],

Cell[BoxData[
    \(rovApr = 
      rov /. {T[x] \[Rule] 
            Tapr, \(T''\)[x] -> \[PartialD]\_\(x, x\)Tapr}\)], "Input"],

Cell["\<\
A p\:0159evedeme v\[SHacek]e na jednu stranu.\
\>", "Text"],

Cell[BoxData[
    \(Residuum = 
      rovApr /. Equal[Left_, Right_] \[Rule] \(-Left\) + Right\)], "Input"],

Cell["\<\
Dostaneme tedy n\:011bco co chceme vynulovat, tak zvan\[EAcute] residuum\
\>", "Text"],

Cell[BoxData[
    \(Plot[Evaluate[Table[Residuum, {a, 0, 10}]], {x, 0, 1}]\)], "Input"],

Cell["\<\
Zobrazen\[EAcute] je residuum pro r\:016fzn\[EAcute] hodnoty \
hledan\[EAcute]ho koeficientu (koeficient v na\[SHacek]em tvaru \:0159e\
\[SHacek]en\[IAcute])\
\>", "Text"],

Cell["\<\
Cht\:011bli bychom tedy, aby toto residuum bylo nulov\[EAcute] pro jak\
\[EAcute]koli x mezi (0,1), co\:017e (jak u\:017e je vid\:011bt z \
p\:0159edchoz\[IAcute]ho grafu) pro n\[AAcute]mi zvolen\[YAcute] tvar \:0159e\
\[SHacek]en\[IAcute] nelze.\
\>", "Text"],

Cell["\<\
Metoda v\[AAcute]hov\[YAcute]ch residu\[IAcute] spo\[CHacek]\[IAcute]v\
\[AAcute] v tom, \:017ee :
a) Residuum vyn\[AAcute]sob\[IAcute]me t\[EAcute]m\:011b\:0159 libovolnou \
funkc\[IAcute] w[x] (m\:016f\:017ee z\[AAcute]viset i na koeficientu a, pak \
tedy w[x,a])
b) Tento sou\[CHacek]in zintegrujeme p\:0159es celou oblast (tedy mezi \
(0,1)).
c) Tento integr\[AAcute]l pak polo\:017e\[IAcute]me nule a dostaneme t\
\[IAcute]m jednu rovnici, v kter\[EAcute] nezn\[AAcute]me pouze koeficient a \
(sou\:0159adnice x jsme se zbavili integrov\[AAcute]n\[IAcute]m)\
\>", "Text"],

Cell[BoxData[
    \(w*Residuum\)], "Input"],

Cell[BoxData[
    \(\(MVR = 
        0 == \[Integral]\_0\%1 w*Residuum \[DifferentialD]x;\)\)], "Input"],

Cell["\<\
Pozn.1: Kdy\:017e bude navrhovan\[YAcute] tvar \:0159e\[SHacek]en\[IAcute] m\
\[IAcute]t n koeficient\:016f, vyn\[AAcute]sob\[IAcute]me postupn\:011b \
residuum n r\:016fzn\[YAcute]mi (nav\[IAcute]c vz\[AAcute]jem\:011b line\
\[AAcute]rn\:011b nez\[AAcute]visl\[YAcute]mi) funkcemi a dostaneme tak \
soustavu n rovnic, v kter\[EAcute] bude t\:011bch n nezn\[AAcute]m\[YAcute]ch \
koeficient\:016f\
\>", "Text"],

Cell["\<\
Pozn.2: Funkci w se \:0159\[IAcute]k\[AAcute] v\[AAcute]hov\[AAcute] (pop\
\:0159. testovac\[IAcute]) funkce, proto\:017ee j\[IAcute] vlastn\:011b v\
\[AAcute]hujeme, v kter\[EAcute] oblasti m\[AAcute] b\[YAcute]t spln\:011bna \
rovnice l\[EAcute]pe a v kter\[EAcute] m\[EAcute]n\:011b. (Hodn\:011b \
zjednodu\[SHacek]en\:011b \:0159e\[CHacek]eno)\
\>", "Text"],

Cell["\<\
Pozn.3: Mimochodem lze dok\[AAcute]zat, \:017ee je-li integral z jakekoli \
funkce f  vyn\[AAcute]soben\[EAcute] v\[AAcute]hovou funkc\[IAcute] nulov\
\[YAcute] pro v\[SHacek]echny mo\:017en\[EAcute] v\[AAcute]hov\[EAcute] \
funkce (v\[AAcute]hov\[EAcute] funkce z dosti obecn\[EAcute] mno\:017einy \
funkc\[IAcute]) je tato funkce f na cel\[EAcute] oblasti (p\:0159es kterou \
integruji) nulov\[AAcute]. Tak\:017ee na\[SHacek]\[IAcute]m postupem z\
\[IAcute]sk\[AAcute]me residuum, kter\[EAcute]ho v\[AAcute]hovan\[YAcute] \
integr\[AAcute]l nen\[IAcute] nulov\[YAcute] pro v\[SHacek]ech \
nekone\[CHacek]n\:011b mnoho pot\:0159ebn\[YAcute]ch testovac\[IAcute]ch \
funkc\[IAcute], ale jen pro  kone\[CHacek]n\[YAcute] po\[CHacek]et \
n\[AAcute]mi (poku\:010f mo\:017eno vhodn\:011b) vybran\[YAcute]ch \
v\[AAcute]hov\[YAcute]ch funkc\[IAcute].
\
\>", "Text"],

Cell["\<\
Podle toho jak vol\[IAcute]me v\[AAcute]hov\[EAcute] funkce se pak dostanou r\
\:016fzn\[EAcute] metody \:0159e\[SHacek]en\[IAcute]. (N\[AAcute]sleduj\
\[IAcute]c\[IAcute] metody, tedy lze tedy zjednodu\[SHacek]en\:011b ozna\
\[CHacek]it za metody volby v\[AAcute]hov\[YAcute]ch funkc\[IAcute] )\
\>", "Text"],

Cell[CellGroupData[{

Cell["Collocation method", "Subsection"],

Cell["MVR/.{w\[Rule]DiracDelta[x-xi]};", "Text"],

Cell["\<\
Tato metoda dosad\[IAcute] za testovac\[IAcute] funkci dirakuv impuls v nejak\
\[EAcute]m bod\:011b (pop\:0159. v n\:011bjak\[YAcute]ch bodech, v p\:0159\
\[IAcute]pad\:011b v\[IAcute]ce koeficient\:016f), v kter\[EAcute]m chceme m\
\[IAcute]t rovnici spln\:011bnu\
\>", "Text"],

Cell[BoxData[
    \(CM = 
      0 == \[Integral]\_0\%1 DiracDelta[x - 0.5]*
            Residuum \[DifferentialD]x\)], "Input"],

Cell["\<\
A dostaneme rovnici (soustavu rovnic) pro n\[AAcute]\[SHacek] koeficient \
(koeficienty)\
\>", "Text"],

Cell["Rovnici vy\:0159e\[SHacek]\[IAcute]me", "Text"],

Cell[BoxData[
    \(resCM = \(Solve[CM, 
          a]\)\[LeftDoubleBracket]1\[RightDoubleBracket]\)], "Input"],

Cell["\<\
A dosad\[IAcute]me vypo\[CHacek]ten\[YAcute] koeficient do p\:0159edpokl\
\[AAcute]dan\[EAcute]ho tvaru \:0159e\[SHacek]en\[IAcute] \
\>", "Text"],

Cell[BoxData[
    \(Tapr /. resCM\)], "Input"],

Cell["\<\
\:0158e\[SHacek]en\[IAcute]m pak je v\[YAcute]raz pro teplotu (samoz\:0159ejm\
\:011b z\[AAcute]visl\[YAcute] na x):\
\>", "Text"],

Cell[BoxData[
    \(Plot[Evaluate[Tapr /. resCM], {x, 0, 1}]\)], "Input"],

Cell["\<\
Kdy\:017e do rovnice dosad\[IAcute]me \:0159e\[SHacek]en\[IAcute] \
dostaneme:\
\>", "Text"],

Cell[BoxData[
    \(rovApr /. resCM\)], "Input"],

Cell["\<\
Spln\:011bn\[IAcute] t\[EAcute]to rovnice nejl\[EAcute]pe uvid\[IAcute]me na \
residuu:\
\>", "Text"],

Cell[BoxData[
    \(Residuum /. resCM\)], "Input"],

Cell[BoxData[
    \(Plot[Evaluate[Residuum /. resCM], {x, 0, 1}]\)], "Input"],

Cell["\<\
Pozn.1: Aplikujeme-li tuto metodu na  speci\[AAcute]ln\[IAcute] volbu tvaru \
\:0159e\[SHacek]en\[IAcute], dostaneme metodu kone\[CHacek]\[YAcute]ch \
diferenc\[IAcute]\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Least Squares Method", "Subsection"],

Cell["\<\
Tato metoda dosad\[IAcute] za testovac\[IAcute] funkci derivace residua podle \
jednotliv\[YAcute]ch koeficient\:016f. (derivac\[IAcute] residua podle n \
koeficient\:016f je n, tak\:017ee po\[CHacek]et rovnic bude spr\[AAcute]vn\
\[YAcute])\
\>", "Text"],

Cell[BoxData[
    \(LSM = 
      0 == \[Integral]\_0\%1\[PartialD]\_a\ Residuum*
            Residuum \[DifferentialD]x\)], "Input"],

Cell["\<\
A dostaneme rovnici (soustavu rovnic) pro n\[AAcute]\[SHacek] koeficient \
(koeficienty)\
\>", "Text"],

Cell["Rovnici vy\:0159e\[SHacek]\[IAcute]me", "Text"],

Cell[BoxData[
    \(resLSM = \(Solve[LSM, 
          a]\)\[LeftDoubleBracket]1\[RightDoubleBracket]\)], "Input"],

Cell["\<\
A dosad\[IAcute]me vypo\[CHacek]ten\[YAcute] koeficient do p\:0159edpokl\
\[AAcute]dan\[EAcute]ho tvaru \:0159e\[SHacek]en\[IAcute] \
\>", "Text"],

Cell[BoxData[
    \(Tapr /. resLSM\)], "Input"],

Cell["\<\
\:0158e\[SHacek]en\[IAcute]m pak je v\[YAcute]raz pro teplotu (samoz\:0159ejm\
\:011b z\[AAcute]visl\[YAcute] na x):\
\>", "Text"],

Cell[BoxData[
    \(Plot[Evaluate[Tapr /. resLSM], {x, 0, 1}]\)], "Input"],

Cell["\<\
Kdy\:017e do rovnice dosad\[IAcute]me \:0159e\[SHacek]en\[IAcute] \
dostaneme:\
\>", "Text"],

Cell[BoxData[
    \(rovApr /. resLSM\)], "Input"],

Cell["\<\
Spln\:011bn\[IAcute] t\[EAcute]to rovnice nejl\[EAcute]pe uvid\[IAcute]me na \
residuu:\
\>", "Text"],

Cell[BoxData[
    \(Residuum /. resLSM\)], "Input"],

Cell[BoxData[
    \(Plot[Evaluate[Residuum /. resLSM], {x, 0, 1}]\)], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Galerkin's Method", "Subsection"],

Cell["\<\
Tato metoda dosad\[IAcute] za testovac\[IAcute] funkci derivace navrhovan\
\[EAcute]ho \:0159e\[SHacek]en\[IAcute] podle jednotliv\[YAcute]ch koeficient\
\:016f. (derivac\[IAcute] podle n koeficient\:016f je op\:011bt n, tak\:017ee \
to op\:011bt vyhovuje)\
\>", "Text"],

Cell[BoxData[
    \(GM = 
      0 == \[Integral]\_0\%1\[PartialD]\_a\ Tapr*
            Residuum \[DifferentialD]x\)], "Input"],

Cell["\<\
A dostaneme rovnici (soustavu rovnic) pro n\[AAcute]\[SHacek] koeficient \
(koeficienty)\
\>", "Text"],

Cell["Rovnici vy\:0159e\[SHacek]\[IAcute]me", "Text"],

Cell[BoxData[
    \(resGM = \(Solve[GM, 
          a]\)\[LeftDoubleBracket]1\[RightDoubleBracket]\)], "Input"],

Cell["\<\
A dosad\[IAcute]me vypo\[CHacek]ten\[YAcute] koeficient do p\:0159edpokl\
\[AAcute]dan\[EAcute]ho tvaru \:0159e\[SHacek]en\[IAcute] \
\>", "Text"],

Cell[BoxData[
    \(Tapr /. resGM\)], "Input"],

Cell["\<\
\:0158e\[SHacek]en\[IAcute]m pak je v\[YAcute]raz pro teplotu (samoz\:0159ejm\
\:011b z\[AAcute]visl\[YAcute] na x):\
\>", "Text"],

Cell[BoxData[
    \(Plot[Evaluate[Tapr /. resGM], {x, 0, 1}]\)], "Input"],

Cell["\<\
Kdy\:017e do rovnice dosad\[IAcute]me \:0159e\[SHacek]en\[IAcute] \
dostaneme:\
\>", "Text"],

Cell[BoxData[
    \(rovApr /. resGM\)], "Input"],

Cell["\<\
Spln\:011bn\[IAcute] t\[EAcute]to rovnice nejl\[EAcute]pe uvid\[IAcute]me na \
residuu:\
\>", "Text"],

Cell[BoxData[
    \(Residuum /. resGM\)], "Input"],

Cell[BoxData[
    \(Plot[Evaluate[Residuum /. resGM], {x, 0, 1}]\)], "Input"],

Cell["\<\
Pozn.1: Aplikac\[IAcute] t\[EAcute]to metody na  speci\[AAcute]ln\[IAcute] \
volbu tvaru \:0159e\[SHacek]en\[IAcute], dostaneme metodu kone\[CHacek]\
\[YAcute]ch element\:016f (op\:011bt velmi zhruba \:0159e\[CHacek]eno, metoda \
kone\[CHacek]n\[YAcute]ch element\:016f je sp\[IAcute]\[SHacek]e naopak: \
metodou volby tvaru \:0159e\[SHacek]en\[IAcute] pro galerkina (nebo pro \
Reil-Ritzovu metodu, co\:017e je metoda zalo\:017een\[AAcute] ne na metod\
\:011b v\[AAcute]hov\[YAcute]ch residu\[IAcute], ale na minimalizaci ur\
\[CHacek]it\[EAcute]ho speci\[AAcute]ln\[IAcute]ho funkcion\[AAcute]lu)\
\>", "Text"],

Cell["\<\
Pozn.2: Tato metoda dosad\[IAcute] za v\[AAcute]hov\[EAcute] funkci derivace \
navrhovan\[EAcute]ho \:0159e\[SHacek]en\[IAcute] podle jednotliv\[YAcute]ch \
koeficient\:016f. Ka\:017ed\[AAcute] rovnice se tedy bude sna\:017eit dostat \
\:0159e\[SHacek]en\[IAcute], kter\[EAcute] je nejp\:0159esn\:011bj\[SHacek]\
\[IAcute] v m\[IAcute]stech, kde je citlivost \:0159e\[SHacek]en\[IAcute] na \
dan\[YAcute] koeficient nejvy\[SHacek]\[SHacek]\[IAcute]. (op\:011bt velmi \
zjednodu\[SHacek]eno)\
\>", "Text"],

Cell["\<\
Pozn.3: Galerkinova metoda d\[AAcute]v\[AAcute] obvykle l\[EAcute]pe podm\
\[IAcute]n\:011bn\[EAcute] soustavy rovnic, ne\:017e metoda nejmen\[SHacek]\
\[IAcute]ch \[CHacek]tverc\:016f. (pravd\:011bpodobn\:011b souvis\[IAcute] s \
pozn.2:)\
\>", "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Slab\[AAcute] formulace (weak formulation) ", "Section"],

Cell["\<\
Laicky \:0159e\[CHacek]eno: Je to metoda zbaven\[IAcute] se druh\[YAcute]ch \
derivac\[IAcute] v rovnici (tedy v residuu).  Pou\:017eije semetoda per \
partes (ve 2D a 3D jej\[IAcute] analogii: Green-Gaussovu v\:011btu)\
\>", "Text"],

Cell["\<\
Aplikuje se je\[SHacek]t\:011b p\:0159ed pou\:017eit\[IAcute]m n\:011bkter\
\[EAcute] z t\:0159\[IAcute] v\[YAcute]\[SHacek]e uveden\[YAcute]ch metod\
\>", "Text"],

Cell["\<\
Nejd\:0159\[IAcute]ve si nap\[IAcute]\[SHacek]eme a dosad\[IAcute]me do \
metody v\[AAcute]hov\[YAcute]ch residu\[IAcute] na\[SHacek]\[IAcute] konkr\
\[EAcute]tn\[IAcute] rovnici, (je\[SHacek]t\:011b p\:0159ed t\[IAcute]m, ne\
\:017e dosad\[IAcute]me n\[AAcute]mi navrhovan\[YAcute] tvar  \
\:0159e\[SHacek]en\[IAcute]). \
\>", "Text"],

Cell["\<\
Residuum tedy v na\[SHacek]em p\:0159\[IAcute]pad\:011b bude:\
\>", "Text"],

Cell[BoxData[
    \(ResiduumGen = 
      rov /. Equal[Left_, Right_] \[Rule] \(-Left\) + Right\)], "Input"],

Cell["\<\
Dostaneme rovnici, kde na prav\[EAcute] stran\:011b bude integr\[AAcute]l\
\>", "Text"],

Cell[BoxData[
    \(MVR = 
      0 == \[Integral]\_0\%1 w[x]*ResiduumGen \[DifferentialD]x\)], "Input"],

Cell["Jen si to trochu rozn\[AAcute]sob\[IAcute]me:", "Text"],

Cell[BoxData[
    \(MVR2 = 
      MVR /. \[Integral]\_b_\%a_ c_\ \[DifferentialD]x \[RuleDelayed] 
          Distribute[\[Integral]\_b\%a Expand[
                  c]\ \[DifferentialD]x]\)], "Input"],

Cell["\<\
A na \[CHacek]leny kde se vyskytuje druh\[AAcute] derivace T pou\:017eijeme \
per partes:\
\>", "Text"],

Cell[BoxData[
    \(WF = 
      MVR2 /. \[Integral]\_b_\%a_ Times[c___?NumericQ, 
                w[x], \(\(Derivative[2]\)[T_]\)[
                  x]]\ \[DifferentialD]x \[RuleDelayed] \[Integral]\_b\%a 
                  Times[\(-c\), \(\(Derivative[1]\)[w]\)[
                    x], \(\(Derivative[1]\)[T]\)[x]]\ \[DifferentialD]x + 
            c*w[a]*\(\(Derivative[1]\)[T]\)[a] - 
            c*w[b]*\(\(Derivative[1]\)[T]\)[b]\)], "Input"],

Cell["\<\
Nyn\[IAcute] jen \[UAcute]lohu p\:0159eformulujeme takto: hled\[AAcute]me \
\:0159e\[SHacek]en\[IAcute], kter\[EAcute] pro \"v\[SHacek]echny mo\:017en\
\[EAcute]\" testovac\[IAcute] funkce spl\:0148uje v\[YAcute]\[SHacek]e \
uvedenou rovnici plus nav\[IAcute]c okrajov\[EAcute] podm\[IAcute]nky. T\
\[IAcute]m jsme dostali to, \[CHacek]emu se \:0159\[IAcute]k\[AAcute] slab\
\[AAcute] formulace \[UAcute]lohy.\
\>", "Text"],

Cell["\<\
Pozn.1: P\:016fvodn\[IAcute] formulaci pomoc\[IAcute] p\:016fvodn\[IAcute] \
diferenci\[AAcute]ln\[IAcute] rovnice se logicky \:0159\[IAcute]k\[AAcute] \
siln\[AAcute] formulace\
\>", "Text"],

Cell["\<\
Pozn.2: Lze dok\[AAcute]zat, \:017ee je-li \:0159e\[SHacek]en\[IAcute] \
\:0159e\[SHacek]en\[IAcute]m siln\[EAcute] formulace, je \:0159e\[SHacek]en\
\[IAcute]m i slab\[EAcute] formulace. S opa\[CHacek]n\[YAcute]m sm\:011brem \
je to trochu slo\:017eit\:011bj\[SHacek]\[IAcute]. Existuje na to docela slo\
\:017eit\[AAcute] matematick\[AAcute] teorie, kter\[AAcute] ukazuje, \:017ee \
slab\[EAcute] \:0159e\[SHacek]en\[IAcute] je v jak\[EAcute]msi smyslu limitou \
siln\[YAcute]ch \:0159e\[SHacek]en\[IAcute].\
\>", "Text"],

Cell["\<\
Pozn.3: Sice se m\:016f\:017ee zd\[AAcute]t, \:017ee jsme p\:0159eformulov\
\[AAcute]n\[IAcute]m nic v\[YAcute]znamn\[EAcute]ho neud\:011blali. Je to ale \
dosti v\[YAcute]znamn\[YAcute] krok. Mimo jin\[EAcute] n\[AAcute]m umo\:017en\
\[IAcute] pou\:017e\[IAcute]t v metod\:011b kon. prvk\:016f line\[AAcute]rn\
\[IAcute] elementy, kter\[EAcute] maj\[IAcute] nulovou druhou derivaci a p\
\:0159i zp\:011btn\[EAcute]m dosazen\[IAcute] \:0159e\[SHacek]en\[IAcute] do \
p\:016fvodn\[IAcute] dif. rovnice by n\[AAcute]m \[CHacek]len stouto derivac\
\[IAcute] \[UAcute]pln\:011b vypadl. Slab\[EAcute] \
\:0159e\[SHacek]en\[IAcute] pomoc\[IAcute] lin element\:016f je ale jak\
\[YAcute]msi limitn\[IAcute]m p\:0159ibl\[IAcute]\:017een\[IAcute]m \:0159e\
\[SHacek]en\[IAcute] na\[SHacek]eho tvaru k \:0159e\[SHacek]en\[IAcute] obecn\
\[EAcute]mu i p\:0159i uva\:017eov\[AAcute]n\[IAcute] vlivu druh\[YAcute]ch \
derivac\[IAcute]. Nav\[IAcute]c n\[AAcute]m slab\[AAcute] formulace \
nap\:0159. umo\:017e\:0148uje zahrnout do modelu bodov\[EAcute] zdroje.\
\>", "Text"],

Cell["\<\
Pozn.4: Metodu v\[AAcute]hov\[YAcute]ch residu\[IAcute] dostaneme ze slab\
\[EAcute] formulace pouye t\[IAcute]m, \:017ee hled\[AAcute]me \:0159e\
\[SHacek]en\[IAcute] v n\[AAcute]mi zvolen\[EAcute]m tvaru (samoz\:0159ejm\
\:011b kone\[CHacek]n\:011b parametrizovateln\[EAcute]m) a spln\:011bn\
\[IAcute] uveden\[EAcute] integr\[AAcute]ln\[IAcute] rovnice \:017e\[AAcute]d\
\[AAcute]me pouze pro kone\[CHacek]n\[YAcute] po\[CHacek]et v\[AAcute]hov\
\[YAcute]ch funkc\[IAcute] w[x].\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Metoda kone\[CHacek]n\[YAcute]ch prvk\:016f MKP (Finite elements method \
FEM)\
\>", "Section"],

Cell[CellGroupData[{

Cell["Tvorba hledan\[EAcute]ho tvaru \:0159e\[SHacek]en\[IAcute]", \
"Subsection"],

Cell["\<\
Jedn\[IAcute]m z hlavn\[IAcute]ch prvk\[UAcute] metody \
kone\[CHacek]n\[YAcute]ch element\:016f je zp\:016fsob, jak\[YAcute]m se pro \
r\:016fzn\[EAcute] geometrie generuje tvar hledan\[EAcute]ho \
\:0159e\[SHacek]en\[IAcute]:\
\>", "Text"],

Cell["\<\
Nejd\:0159\[IAcute]ve se po\[CHacek]\[IAcute]tan\[AAcute] oblast rozd\:011bl\
\[IAcute] na men\[SHacek]\[IAcute] podoblasti ur\[CHacek]en\[EAcute]ho tvaru \
- tzv. elementy  (v 1D jsou to \[UAcute]se\[CHacek]ky, ve 2D obvykle troj\
\[UAcute]heln\[IAcute]ky, nebo m\[EAcute]n\:011b obvykle obd\[EAcute]ln\
\[IAcute]ky, ve 3D tetrahedrony nebo kv\[AAcute]dry). Pro ka\:017ed\[YAcute] \
element se podle jeho typu (nap\:0159. Lagrangeuv line\[AAcute]rn\[IAcute], \
kvadratick\[YAcute] atd., kde to linearn\[IAcute] je ve skute\[CHacek]nosti \
typ funkce, kterou aproximujeme \:0159e\[SHacek]en\[IAcute] a Lagrange\:016fv \
je zp\:016fsob jak\[YAcute]m to na dan\[EAcute]m elementu d\:011bl\[AAcute]me \
(tedy ehm. zase zjednodu\[SHacek]en\:011b \:0159e\[CHacek]eno, \:017ee?) ), \
tak\:017ee znovu: pro ka\:017ed\[YAcute] element se podle jeho typu ur\
\[CHacek]\[IAcute] ur\[CHacek]it\[YAcute] po\[CHacek]et bod\:016f - tzv. n\
\[OAcute]d\:016f, nebo t\[EAcute]\:017e Gausov\[YAcute]ch bod\:016f. \
V\:017edy to jsou vrcholy dan\[EAcute]ho elementu (v 2D nap\:0159. vrcholy \
troj\[UAcute]heln\[IAcute]ka, v 1D samoz\:0159ejm\:011b krajn\[IAcute] body) \
plus u elementu vy\[SHacek]\[SHacek]\[IAcute]ch \:0159\[AAcute]d\:016f (ne \
line\[AAcute]rn\[IAcute]ch) nav\[IAcute]c nap\:0159 st\:0159edy hran nebo st\
\:0159ed elementu atd. 
Takto rozd\:011blen\[EAcute] celkov\[EAcute] oblasti na elementy s \
n\[OAcute]dy se \:0159\[IAcute]k\[AAcute] s\[IAcute]\:0165 (mesh).\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Galerkinova formulace", "Subsection"],

Cell["\<\
Postup: 
-nejd\:0159\[IAcute]ve p\:0159evedeme formulaci \[UAcute]lohy na slabou \
formulaci
-dosad\[IAcute]me hledan\[YAcute] tvar \:0159e\[SHacek]en\[IAcute] (metoda v\
\[AAcute]hov\[YAcute]ch residu\[IAcute]) dan\[YAcute] metodou kone\[CHacek]n\
\[YAcute]ch prvk\:016f
-dosad\[IAcute]me tvary v\[AAcute]hov\[YAcute]ch funkc\[IAcute] podle \
Galerkinovy metody (t\[IAcute]m dostaneme pot\:0159ebn\[YAcute] po\[CHacek]et \
rovnic)
-vy\:0159e\[SHacek]\[IAcute]me vzniklou soustavu rovnic (\:0159e\[SHacek]en\
\[IAcute]m jsou koeficienty na\[SHacek]eho tvaru \:0159e\[SHacek]en\[IAcute])\
\
\>", "Text"]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"5.2 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 949}},
WindowSize->{784, 565},
WindowMargins->{{0, Automatic}, {Automatic, 0}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 132, 6, 90, "Text"],

Cell[CellGroupData[{
Cell[1911, 61, 161, 5, 89, "Section"],
Cell[2075, 68, 150, 3, 33, "Text"],
Cell[2228, 73, 52, 0, 33, "Text"],
Cell[2283, 75, 113, 2, 30, "Input"],
Cell[2399, 79, 80, 1, 30, "Input"],
Cell[2482, 82, 361, 6, 52, "Text"],
Cell[2846, 90, 63, 2, 33, "Text"],
Cell[2912, 94, 62, 1, 30, "Input"],
Cell[2977, 97, 83, 1, 30, "Input"],
Cell[3063, 100, 54, 0, 33, "Text"],
Cell[3120, 102, 129, 3, 30, "Input"],
Cell[3252, 107, 69, 2, 33, "Text"],
Cell[3324, 111, 107, 2, 30, "Input"],
Cell[3434, 115, 96, 2, 33, "Text"],
Cell[3533, 119, 87, 1, 30, "Input"],
Cell[3623, 122, 181, 4, 33, "Text"],
Cell[3807, 128, 270, 5, 52, "Text"],
Cell[4080, 135, 586, 11, 109, "Text"],
Cell[4669, 148, 43, 1, 30, "Input"],
Cell[4715, 151, 104, 2, 42, "Input"],
Cell[4822, 155, 420, 7, 52, "Text"],
Cell[5245, 164, 371, 6, 52, "Text"],
Cell[5619, 172, 869, 14, 109, "Text"],
Cell[6491, 188, 319, 5, 52, "Text"],

Cell[CellGroupData[{
Cell[6835, 197, 40, 0, 38, "Subsection"],
Cell[6878, 199, 48, 0, 33, "Text"],
Cell[6929, 201, 288, 5, 52, "Text"],
Cell[7220, 208, 127, 3, 42, "Input"],
Cell[7350, 213, 112, 3, 33, "Text"],
Cell[7465, 218, 53, 0, 33, "Text"],
Cell[7521, 220, 110, 2, 30, "Input"],
Cell[7634, 224, 156, 3, 33, "Text"],
Cell[7793, 229, 46, 1, 30, "Input"],
Cell[7842, 232, 140, 3, 33, "Text"],
Cell[7985, 237, 73, 1, 30, "Input"],
Cell[8061, 240, 102, 3, 33, "Text"],
Cell[8166, 245, 48, 1, 30, "Input"],
Cell[8217, 248, 111, 3, 33, "Text"],
Cell[8331, 253, 50, 1, 30, "Input"],
Cell[8384, 256, 77, 1, 30, "Input"],
Cell[8464, 259, 192, 4, 33, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[8693, 268, 42, 0, 30, "Subsection"],
Cell[8738, 270, 265, 5, 52, "Text"],
Cell[9006, 277, 132, 3, 42, "Input"],
Cell[9141, 282, 112, 3, 33, "Text"],
Cell[9256, 287, 53, 0, 33, "Text"],
Cell[9312, 289, 112, 2, 30, "Input"],
Cell[9427, 293, 156, 3, 33, "Text"],
Cell[9586, 298, 47, 1, 30, "Input"],
Cell[9636, 301, 140, 3, 33, "Text"],
Cell[9779, 306, 74, 1, 30, "Input"],
Cell[9856, 309, 102, 3, 33, "Text"],
Cell[9961, 314, 49, 1, 30, "Input"],
Cell[10013, 317, 111, 3, 33, "Text"],
Cell[10127, 322, 51, 1, 30, "Input"],
Cell[10181, 325, 78, 1, 30, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[10296, 331, 39, 0, 30, "Subsection"],
Cell[10338, 333, 280, 5, 52, "Text"],
Cell[10621, 340, 127, 3, 42, "Input"],
Cell[10751, 345, 112, 3, 33, "Text"],
Cell[10866, 350, 53, 0, 33, "Text"],
Cell[10922, 352, 110, 2, 30, "Input"],
Cell[11035, 356, 156, 3, 33, "Text"],
Cell[11194, 361, 46, 1, 30, "Input"],
Cell[11243, 364, 140, 3, 33, "Text"],
Cell[11386, 369, 73, 1, 30, "Input"],
Cell[11462, 372, 102, 3, 33, "Text"],
Cell[11567, 377, 48, 1, 30, "Input"],
Cell[11618, 380, 111, 3, 33, "Text"],
Cell[11732, 385, 50, 1, 30, "Input"],
Cell[11785, 388, 77, 1, 30, "Input"],
Cell[11865, 391, 622, 9, 71, "Text"],
Cell[12490, 402, 514, 8, 52, "Text"],
Cell[13007, 412, 263, 5, 52, "Text"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{
Cell[13319, 423, 62, 0, 73, "Section"],
Cell[13384, 425, 243, 4, 52, "Text"],
Cell[13630, 431, 173, 3, 33, "Text"],
Cell[13806, 436, 345, 6, 52, "Text"],
Cell[14154, 444, 85, 2, 33, "Text"],
Cell[14242, 448, 107, 2, 30, "Input"],
Cell[14352, 452, 97, 2, 33, "Text"],
Cell[14452, 456, 103, 2, 42, "Input"],
Cell[14558, 460, 61, 0, 33, "Text"],
Cell[14622, 462, 199, 4, 44, "Input"],
Cell[14824, 468, 113, 3, 33, "Text"],
Cell[14940, 473, 448, 8, 99, "Input"],
Cell[15391, 483, 433, 7, 52, "Text"],
Cell[15827, 492, 201, 4, 33, "Text"],
Cell[16031, 498, 533, 8, 52, "Text"],
Cell[16567, 508, 1070, 15, 90, "Text"],
Cell[17640, 525, 505, 8, 52, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18182, 538, 105, 3, 73, "Section"],

Cell[CellGroupData[{
Cell[18312, 545, 82, 1, 38, "Subsection"],
Cell[18397, 548, 251, 5, 33, "Text"],
Cell[18651, 555, 1491, 21, 147, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20179, 581, 43, 0, 38, "Subsection"],
Cell[20225, 583, 612, 13, 109, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

